#!/bin/bash

case=${PWD##*/}

source ~/.bashrc-w2k_21.1b-mpi
export EDITOR=cat # prevent openning files for editing

# band structure
cp ../mass.klist_band ${case}.klist_band
x lapw1 -band -p
x lapwso -p
cp $WIENROOT/SRC_templates/case.insp ${case}.insp
efermi=`grep :FER *scf | tail -1 | cut -d "=" -f 2`
echo Efermi=$efermi
sed -i "s/x\.xxxx/$efermi/g" ${case}.insp
x spaghetti -so -p

# fake spin-polarized calculation for optic
echo "making symbolic link: ${case}.vspup -> ${case}.vsp"
rm ${case}.vspup
ln -s ${case}.vsp ${case}.vspup
echo "making symbolic link: ${case}.vspdn -> ${case}.vsp"
rm ${case}.vspdn
ln -s ${case}.vsp ${case}.vspdn
i="1" # init counter for parallel files
filevec=${case}.vectorso_${i} # name of fector file
while [ -f "$filevec" ] # while the vector file exists
do
  echo "$filevec exist"
  echo "making symbolic link: ${case}.vectorsoup_${i} -> $filevec"
  ln -s $filevec ${case}.vectorsoup_${i}
  i=$[$i+1] # increment the counter
  filevec=${case}.vectorso_${i} # next vector file
done

# optics
cp $WIENROOT/SRC_templates/case.inop ${case}.inop
sed -i 's/^OFF/ON/g' ${case}.inop # enable writing of momentum matrix elements in *.mommat2*
sed -i 's/^-5\.0 3\.0/-5. 15.0/g' ${case}.inop # extend the upper energy range
x optic -so -up -p

export EDITOR=vim # reset the default editor back
