#!/bin/bash

case=${PWD##*/}

source ~/.bashrc-w2k_21.1b-mpi
export EDITOR=cat # prevent openning files for editing

# prepare machines file
echo SLURM_CPUS_PER_TASK=$SLURM_CPUS_PER_TASK
echo "1:localhost" > .machines # 1st line
for (( i=2; i<=$SLURM_CPUS_PER_TASK; i++ ))
do
  echo "1:localhost" >> .machines # remaining N-1 lines
done
echo "granularity:1" >> .machines
echo "extrafine:1" >> .machines
echo SLURM_TASKS_PER_NODE=$SLURM_TASKS_PER_NODE
export OMP_NUM_THREADS=$SLURM_TASKS_PER_NODE
echo OMP_NUM_THREADS=$OMP_NUM_THREADS

# band structure
cp ../${case}.klist_band ${case}.klist_band
run_bandplothf_lapw -so -p
cp $WIENROOT/SRC_templates/case.insp ${case}.insp
efermi=`grep :FER *scf | tail -1 | cut -d "=" -f 2`
echo Efermi=$efermi
sed -i "s/x\.xxxx/$efermi/g" ${case}.insp
x spaghetti -hf -so -p

# fake spin-polarized calculation for optic
echo "making symbolic link: ${case}.vspup -> ${case}.vsp"
rm ${case}.vspup
ln -s ${case}.vsp ${case}.vspup
echo "making symbolic link: ${case}.vspdn -> ${case}.vsp"
rm ${case}.vspdn
ln -s ${case}.vsp ${case}.vspdn
i="1" # init counter for parallel files
filevec=${case}.vectorhfso_${i} # name of fector file
while [ -f "$filevec" ] # while the vector file exists
do
  echo "$filevec exist"
  echo "making symbolic link: ${case}.vectorhfsoup_${i} -> $filevec"
  ln -s $filevec ${case}.vectorhfsoup_${i}
  i=$[$i+1] # increment the counter
  filevec=${case}.vectorhfso_${i} # next vector file
done

# optics
cp $WIENROOT/SRC_templates/case.inop ${case}.inop
sed -i 's/^OFF/ON/g' ${case}.inop # enable writing of momentum matrix elements in *.mommat2*
sed -i 's/^-5\.0 3\.0/-5.0 2.0/g' ${case}.inop # extend the upper energy range top 5 Ry
x optic -so  -hf -p -up
