#!/bin/bash

case=${PWD##*/}

source ~/.bashrc-w2k_21.1b-mpi
export EDITOR=cat # prevent openning files for editing

# band structure
cp ../${case}.klist_band ${case}.klist_band
x lapw1 -band
x lapwso
cp $WIENROOT/SRC_templates/case.insp ${case}.insp
efermi=`grep :FER *scf2 | tail -1 | cut -d "=" -f 2`
echo Efermi=$efermi
sed -i "s/x\.xxxx/$efermi/g" ${case}.insp
x spaghetti -so

# w2w
cp $case.klist_band $case.klist_w90
write_inwf -mode MMN -band 1 $nbmax
write_win -band nofile -klist ${case}.klist_band
python $WIENROOT/SRC_BerryPI/BerryPI/win2nnkp.py $case
sed -i '/begin nnkpts/,/end nnkpts/c\begin nnkpts\n   1\n   1 2 0 0 0\n   2 1 0 0 0\nend nnkpts' ${case}.nnkp
echo "0.0" > ${case}.fermi
x w2w -so -up
x w2w -so -dn
x w2waddsp
