#!/bin/bash

case=${PWD##*/}
nbmax=100

source ~/.bashrc-w2k_21.1b-mpi
export EDITOR=cat # prevent openning files for editing

# prepare machines file
echo SLURM_CPUS_PER_TASK=$SLURM_CPUS_PER_TASK
echo "1:localhost" > .machines # 1st line
for (( i=2; i<=$SLURM_CPUS_PER_TASK; i++ ))
do
  echo "1:localhost" >> .machines # remaining N-1 lines
done
echo "granularity:1" >> .machines
echo "extrafine:1" >> .machines
echo SLURM_TASKS_PER_NODE=$SLURM_TASKS_PER_NODE
export OMP_NUM_THREADS=$SLURM_TASKS_PER_NODE
echo OMP_NUM_THREADS=$OMP_NUM_THREADS

# band structure
cp ../${case}.klist_band ${case}.klist_band
run_bandplothf_lapw -so -p
cp $WIENROOT/SRC_templates/case.insp ${case}.insp
efermi=`grep :FER *scf | tail -1 | cut -d "=" -f 2`
echo Efermi=$efermi
sed -i "s/x\.xxxx/$efermi/g" ${case}.insp
x spaghetti -hf -so -p

# w2w
x join_vectorfiles -hf -so -dn
cp $case.klist_band $case.klist_w90
write_inwf -mode MMN -band 1 $nbmax
write_win -band nofile -klist ${case}.klist_band
python $WIENROOT/SRC_BerryPI/BerryPI/win2nnkp.py $case
sed -i '/begin nnkpts/,/end nnkpts/c\begin nnkpts\n   1\n   1 2 0 0 0\n   2 1 0 0 0\nend nnkpts' ${case}.nnkp
echo "0.0" > ${case}.fermi
x w2w -so -hf -up
x w2w -so -hf -dn
x w2waddsp
